local NayMods = NayMods
local Debug = NayMods.debug
local Timer = NayMods.timer
local Utils = NayMods.utils
local Transmission = NayMods.transmission
local Options = NayMods.options
local Storage = NayMods.storage

local mod = NayMods:NewBossMod("BossModName", 777) -- encounterId here
mod:RegisterEnableMob(92142) -- BossGUID here

--[[
OnInit hook.
]]
function mod:OnInit()
end

--[[
Setup the default config for the bossmod.
]]
function mod:SetupDefaultConfig()
  self.defaultConfig = {}
end

--[[
Returns the Ace3 options sub-table for boss mod.
]]
function mod:GetOptions()
  local args = {}

  return {
    name = self.name,
    type = "group",
    args = args
  }
end

--[[
OnStart Hook.
]]
function mod:OnStart()
  self:Subscribe("SPELL_AURA_APPLIED", "NameOfTheMethod")
end

--[[
OnEngage hook.
]]
function mod:OnEngage()
end

--[[
OnWipe hook.
]]
function mod:OnWipe()
end

--[[
OnStop hook.
]]
function mod:OnStop()
  self:Unsubscribe("SPELL_AURA_APPLIED")
end


--[[
NameOfTheMethod handler.
]]
function mod:NameOfTheMethod(args)
  if args.spellId == 187051 then
    -- do shit based on spell
  end
end
